Bug 720813 - Review Request: python-strainer - Tools to allow developers to cleanup web serialization objects (HTML, JSON, XHTML)
Summary: Review Request: python-strainer - Tools to allow developers to cleanup web se...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Volker Fröhlich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 720818
TreeView+ depends on / blocked
 
Reported: 2011-07-12 20:21 UTC by Luke Macken
Modified: 2016-09-20 02:42 UTC (History)
6 users (show)

Fixed In Version: python-strainer-0.1.4-2.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-21 19:09:45 UTC
Type: ---
volker27: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Luke Macken 2011-07-12 20:21:07 UTC
Spec URL: http://lmacken.fedorapeople.org/rpms/python-strainer.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-strainer-0.1.4-1.fc15.src.rpm
Description:
Provides middleware for detecting and correcting errors in web pages that are
served via the standard WSGI protocol used by most Python web frameworks. By
default, validation errors are logged to the "strainer.middleware" channel
using the standard Python logging module.

Comment 1 Volker Fröhlich 2011-12-09 20:36:32 UTC
Do you want to package for EPEL 5 or older?

If not, delete buildroot, clean section and the rm in the install section, as well as the sitelib definition. Otherwise, use an if around it, like: http://fedoraproject.org/wiki/Packaging:Python#Macros

Defattr is no longer necessary.

Comment 2 Luke Macken 2011-12-09 21:33:16 UTC
Yes, I do wish to build this for EPEL 5. I updated the package to address all of your points.

Spec URL: http://lmacken.fedorapeople.org/rpms/python-strainer.spec
SRPM URL:
http://lmacken.fedorapeople.org/rpms/python-strainer-0.1.4-1.fc15.src.rpm

Comment 3 Ralph Bean 2012-03-05 04:26:29 UTC
Two things first before a formal review -

* rpmlint failed on both the spec and the src rpm.
* The upstream URL is incorrect, it is source/s/strainer not source/t/strainer.

Comment 5 Volker Fröhlich 2012-03-08 19:41:17 UTC
You don't need to put conditionals around the EPEL 5 specific elements, they don't do any harm. They're just not necessary if you only packaged for EPEL 6 and Fedora only.

Please, whenever you post new specfiles and SRPMs, bump the release number and leave a meaningful changelog entry in the spec file. It makes work easier for the reviewer.

Removing the shebang from xhtmlify.py should fix the warning about it not being executable as well.

The files section could be more explicit, but actually everything is fine.

Comment 6 Luke Macken 2012-03-08 20:00:20 UTC
Spec URL: http://lmacken.fedorapeople.org/rpms/python-strainer.spec
SRPM URL:
http://lmacken.fedorapeople.org/rpms/python-strainer-0.1.4-2.fc16.src.rpm

* Thu Mar 08 2012 Luke Macken <lmacken@redhat.com> - 0.1.4-2
- Remove the shebang from xhtmlify.py
- Remove unnecessary EPEL conditionals

Comment 7 Volker Fröhlich 2012-03-11 21:03:48 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[-]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint python-strainer-0.1.4-2.fc18.src.rpm

python-strainer.src: W: spelling-error %description -l en_US middleware -> middle ware, middle-ware, middleweight
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint python-strainer-0.1.4-2.fc18.noarch.rpm

python-strainer.noarch: W: spelling-error %description -l en_US middleware -> middle ware, middle-ware, middleweight
python-strainer.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

There is no documentation available outside Python docstrings.

"middleware" is a common spelling.

[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/media/speicher1/makerpm/720813/strainer-0.1.4.tar.gz :
  MD5SUM this package     : 5894adf6e0ea38f2c5e8bba2ae722448
  MD5SUM upstream package : 5894adf6e0ea38f2c5e8bba2ae722448

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Generated by fedora-review 0.1.3
External plugins:


== APPROVED ==

Comment 8 Luke Macken 2012-03-11 21:27:02 UTC
New Package SCM Request
=======================
Package Name: python-strainer
Short Description: Tools to allow developers to cleanup web serialization objects (HTML, JSON, XHTML)
Owners: lmacken ralph
Branches: f15 f16 f17 el6 el5

Comment 9 Gwyn Ciesla 2012-03-12 12:04:44 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2012-03-21 16:14:17 UTC
python-strainer-0.1.4-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-3609/python-strainer-0.1.4-2.fc17

Comment 11 Fedora Update System 2012-03-21 19:09:45 UTC
python-strainer-0.1.4-2.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.